<tr class="mat-row" *ngIf="this.value">
  <td class="mat-cell id">
    <mat-form-field appearance="outline">
      <input
        matInput
        type="number"
        step="1"
        [(ngModel)]="this.value.id"
        [disabled]="disabled"
      />
    </mat-form-field>
  </td>

  <energy-platform-cable-type-row-field
    [unit]="'€/m'"
    [min]="50"
    [max]="1000"
    [step]="1"
    [value]="this.value.material_cost"
    (valueChange)="this.changeValue('material_cost', $event)"
    [disabled]="disabled"
  ></energy-platform-cable-type-row-field>

  <energy-platform-cable-type-row-field
    [unit]="'A'"
    [min]="100"
    [max]="1000"
    [step]="1"
    [value]="this.value.current_rating"
    (valueChange)="this.changeValue('current_rating', $event)"
    [disabled]="disabled"
  ></energy-platform-cable-type-row-field>

  <energy-platform-cable-type-row-field
    [unit]="'μF/km'"
    [min]="0.01"
    [max]="0.99"
    [step]="0.01"
    [value]="this.value.cable_capacitance"
    (valueChange)="this.changeValue('cable_capacitance', $event)"
    [disabled]="disabled"
  ></energy-platform-cable-type-row-field>

  <energy-platform-cable-type-row-field
    [unit]="'Ω/km'"
    [min]="0.01"
    [max]="0.5"
    [step]="0.01"
    [value]="this.value.ac_resistance"
    (valueChange)="this.changeValue('ac_resistance', $event)"
    [disabled]="disabled"
  ></energy-platform-cable-type-row-field>

  <energy-platform-cable-type-row-field
    [unit]="'%'"
    [min]="0.01"
    [max]="0.5"
    [step]="0.01"
    [value]="this.value.insulation_loss_factor"
    (valueChange)="this.changeValue('insulation_loss_factor', $event)"
    [disabled]="disabled"
  ></energy-platform-cable-type-row-field>

  <td *ngIf="!disabled" class="mat-cell remove">
    <mat-icon (click)="removeCableType()">delete_outlined</mat-icon>
  </td>
</tr>
